Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_PKCS5_PBKD2_PARAMS

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_PKCS5_PBKD2_PARAMS

public class CK_PKCS5_PBKD2_PARAMS
extends java.lang.Object

class CK_PKCS5_PBKD2_PARAMS provides the parameters to the CKM_PKCS5_PBKD2 mechanism.

PKCS#11 structure:

     typedef struct CK_PKCS5_PBKD2_PARAMS {
       CK_PKCS5_PBKD2_SALT_SOURCE_TYPE saltSource;
       CK_VOID_PTR pSaltSourceData;
       CK_ULONG ulSaltSourceDataLen;
       CK_ULONG iterations;
       CK_PKCS5_PBKD2_PSEUDO_RANDOM_FUNCTION_TYPE prf;
       CK_VOID_PTR pPrfData;
       CK_ULONG ulPrfDataLen;
     } CK_PKCS5_PBKD2_PARAMS;

Author:
  Karl Scheibelhofer , Martin Schl??ffer

Field Summary
`long` | `iterations` PKCS#11:
`byte[]` | `pPrfData` PKCS#11:
`long` | `prf` PKCS#11:
`byte[]` | `pSaltSourceData` PKCS#11:
`long` | `saltSource` PKCS#11:

Constructor Summary
`CK_PKCS5_PBKD2_PARAMS()`

Method Summary
`java.lang.String` | `toString()` Returns the string representation of CK_PKCS5_PBKD2_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### saltSource

    public long saltSource

  PKCS#11:

         CK_PKCS5_PBKDF2_SALT_SOURCE_TYPE saltSource;

### pSaltSourceData

    public byte[] pSaltSourceData

  PKCS#11:

         CK_VOID_PTR pSaltSourceData;
         CK_ULONG ulSaltSourceDataLen;

### iterations

    public long iterations

  PKCS#11:

         CK_ULONG iterations;

### prf

    public long prf

  PKCS#11:

         CK_PKCS5_PBKD2_PSEUDO_RANDOM_FUNCTION_TYPE prf;

### pPrfData

    public byte[] pPrfData

  PKCS#11:

         CK_VOID_PTR pPrfData;
         CK_ULONG ulPrfDataLen;

Constructor Detail

### CK_PKCS5_PBKD2_PARAMS

    public CK_PKCS5_PBKD2_PARAMS()

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of CK_PKCS5_PBKD2_PARAMS.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_PKCS5_PBKD2_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18